ToggleEnabled
curl --request POST \
--url https://developer.synq.io/api/alerts/v1/toggle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": {
"fqn": "<string>"
},
"isEnabled": true
}
'import requests
url = "https://developer.synq.io/api/alerts/v1/toggle"
payload = {
"identifier": { "fqn": "<string>" },
"isEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifier: {fqn: '<string>'}, isEnabled: true})
};
fetch('https://developer.synq.io/api/alerts/v1/toggle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.alerts.services.v1.AlertsService
ToggleEnabled
Enables or disables an existing alert configuration. The config can be identified by either ID or FQN.
POST
/
api
/
alerts
/
v1
/
toggle
ToggleEnabled
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ToggleEnabledRequest enables or disables an alert configuration. The config can be identified by either ID or FQN.
Response
200 - application/json
Success
ToggleEnabledResponse confirms the toggle operation (empty response). Empty response - successful toggle is indicated by HTTP 200 status.
⌘I